For the complete documentation index, see llms.txt. This page is also available as Markdown.

Team Members

List Team Members

get

Retrieve internal agency staff with reseller account access.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

application/json

Object containing response data for this resource.

successbooleanOptional

Indicates whether the request completed successfully.

codeintegerOptional

Short code or application-level status code for this resource.

get/team-members
GET /agency/team-members HTTP/1.1
Host: api.moregoodreviews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

{
  "success": true,
  "code": 200,
  "data": [
    {
      "id": 84,
      "uuid": "31a5e9d6-9a58-45a6-a04d-5e45c7601a38",
      "role_slug": "super-admin",
      "invite_email": "ops@agency.example",
      "invited_at": 1714507200,
      "joined_at": null,
      "created_at": 1714507200,
      "updated_at": 1714593600,
      "sections": [
        {
          "id": 7,
          "slug": "reviews",
          "uuid": "5f7f85d1-50d6-4b2c-998c-d04fc6f1a7e9"
        }
      ],
      "projects": [
        {
          "id": 42,
          "name": "Acme Dental",
          "slug": "acme-dental",
          "uuid": "9b58d4c2-8f4f-4a0c-9d55-53db5c9e0a21",
          "is_active": true,
          "is_paused": false,
          "is_suspended": false,
          "features": {
            "asks": 500,
            "customers": 10000,
            "locations": 10,
            "members": 25,
            "links": 10,
            "tags": 50,
            "widgets": 5,
            "api": true,
            "webhooks": true,
            "sms": true,
            "ambassador": false
          },
          "created_at": 1714507200,
          "updated_at": 1714593600
        }
      ]
    }
  ]
}

Invite Team Member

post

Invite an internal teammate to manage the agency account.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Object containing response data for this resource.

emailstring · emailRequired

Email address of the agency teammate to invite.

Responses
200

Success

application/json

Object containing response data for this resource.

successbooleanOptional

Indicates whether the request completed successfully.

codeintegerOptional

Short code or application-level status code for this resource.

post/team-members
POST /agency/team-members HTTP/1.1
Host: api.moregoodreviews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "email": "ops@agency.example"
}
200

Success

{
  "success": true,
  "code": 200,
  "data": {
    "id": 84,
    "uuid": "31a5e9d6-9a58-45a6-a04d-5e45c7601a38",
    "role_slug": "super-admin",
    "invite_email": "ops@agency.example",
    "invited_at": 1714507200,
    "joined_at": null,
    "created_at": 1714507200,
    "updated_at": 1714593600,
    "sections": [
      {
        "id": 7,
        "slug": "reviews",
        "uuid": "5f7f85d1-50d6-4b2c-998c-d04fc6f1a7e9"
      }
    ],
    "projects": [
      {
        "id": 42,
        "name": "Acme Dental",
        "slug": "acme-dental",
        "uuid": "9b58d4c2-8f4f-4a0c-9d55-53db5c9e0a21",
        "is_active": true,
        "is_paused": false,
        "is_suspended": false,
        "features": {
          "asks": 500,
          "customers": 10000,
          "locations": 10,
          "members": 25,
          "links": 10,
          "tags": 50,
          "widgets": 5,
          "api": true,
          "webhooks": true,
          "sms": true,
          "ambassador": false
        },
        "created_at": 1714507200,
        "updated_at": 1714593600
      }
    ]
  }
}

Delete Team Member

delete

Remove an internal teammate from the agency account.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
team_member_idintegerRequired

Unique numeric identifier for the agency team member.

Responses
200

Success

application/json

Object containing response data for this resource.

successbooleanOptional

Indicates whether the request completed successfully.

codeintegerOptional

Short code or application-level status code for this resource.

delete/team-members/{team_member_id}
DELETE /agency/team-members/{team_member_id} HTTP/1.1
Host: api.moregoodreviews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

{
  "success": true,
  "code": 200
}

Resend Team Member Invite

post

Send another onboarding invitation to a pending agency teammate.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
team_member_idintegerRequired

Unique numeric identifier for the agency team member.

Responses
200

Success

application/json

Object containing response data for this resource.

successbooleanOptional

Indicates whether the request completed successfully.

codeintegerOptional

Short code or application-level status code for this resource.

post/team-members/{team_member_id}/resend-invite
POST /agency/team-members/{team_member_id}/resend-invite HTTP/1.1
Host: api.moregoodreviews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Success

{
  "success": true,
  "code": 200,
  "data": {
    "id": 84,
    "uuid": "31a5e9d6-9a58-45a6-a04d-5e45c7601a38",
    "role_slug": "super-admin",
    "invite_email": "ops@agency.example",
    "invited_at": 1714507200,
    "joined_at": null,
    "created_at": 1714507200,
    "updated_at": 1714593600,
    "sections": [
      {
        "id": 7,
        "slug": "reviews",
        "uuid": "5f7f85d1-50d6-4b2c-998c-d04fc6f1a7e9"
      }
    ],
    "projects": [
      {
        "id": 42,
        "name": "Acme Dental",
        "slug": "acme-dental",
        "uuid": "9b58d4c2-8f4f-4a0c-9d55-53db5c9e0a21",
        "is_active": true,
        "is_paused": false,
        "is_suspended": false,
        "features": {
          "asks": 500,
          "customers": 10000,
          "locations": 10,
          "members": 25,
          "links": 10,
          "tags": 50,
          "widgets": 5,
          "api": true,
          "webhooks": true,
          "sms": true,
          "ambassador": false
        },
        "created_at": 1714507200,
        "updated_at": 1714593600
      }
    ]
  }
}

Last updated